Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
Halide::Internal::ErrorReport< Exception > Struct Template Referencefinal

`#include <Error.h>`

Inheritance diagram for Halide::Internal::ErrorReport< Exception >:

## Public Member Functions
ErrorReport & | init (const char *file, const char *function, const int line, const char *condition_string)
void | issue () noexcept(false)
Public Member Functions inherited from Halide::Internal::ReportBase< ErrorReport< Exception > >
HALIDE_ALWAYS_INLINE ErrorReport< Exception > & | operator<< (const S &x)
HALIDE_ALWAYS_INLINE | operator bool () const

## Static Public Attributes
static constexpr auto | verbose_name = Exception::verbose_name
static constexpr int | verbose_debug_level = Exception::verbose_debug_level

## Additional Inherited Members
Protected Member Functions inherited from Halide::Internal::ReportBase< ErrorReport< Exception > >
std::string | finalize_message ()
ErrorReport< Exception > & | init (const char *file, const char *function, const int line, const char *condition_string)

## Detailed Description

template<typename Exception>
struct Halide::Internal::ErrorReport< Exception >

Definition at line 172 of file Error.h.

## Member Function Documentation

## ◆ init()

template<typename Exception >

ErrorReport & Halide::Internal::ErrorReport< Exception >::init | ( | const char * | file,
|  | const char * | function,
|  | const int | line,
|  | const char * | condition_string
| ) |  |
| inline

Definition at line 176 of file Error.h.

## ◆ issue()

template<typename Exception >

void Halide::Internal::ErrorReport< Exception >::issue | ( |  | ) |
| inline

Definition at line 180 of file Error.h.

References Halide::Internal::throw_error().

## Member Data Documentation

## ◆ verbose_name

template<typename Exception >

constexpr auto Halide::Internal::ErrorReport< Exception >::verbose_name = Exception::verbose_name
| static constexpr

Definition at line 173 of file Error.h.

## ◆ verbose_debug_level

template<typename Exception >

constexpr int Halide::Internal::ErrorReport< Exception >::verbose_debug_level = Exception::verbose_debug_level
| static constexpr

Definition at line 174 of file Error.h.

The documentation for this struct was generated from the following file:

- src/Error.h